Skip to main content
`Ctrl`+`K`

# PetscDSGetNumBoundary

Get the number of registered boundary conditions

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetNumBoundary(PetscDS ds, PetscInt *numBd)

## Input Parameter

- ds - The `PetscDS` object

## Output Parameter

- numBd - The number of boundary conditions

## See Also

`PetscDS`, `PetscDSAddBoundary()`, `PetscDSGetBoundary()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages